# PhasicFlow: src/phasicFlow/containers/VectorHD/VectorSingles.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

VectorSingles.hpp File Reference
Include dependency graph for VectorSingles.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| pFlow

## Typedefs

typedef VectorSingle< int8 > | int8Vector_D
typedef VectorSingle< int8, HostSpace > | int8Vector_H
typedef VectorSingle< int32 > | int32Vector_D
typedef VectorSingle< int32, HostSpace > | int32Vector_H
typedef VectorSingle< int64 > | int64Vector_D
typedef VectorSingle< int64, HostSpace > | int64Vector_H
typedef VectorSingle< uint8 > | uint8Vector_D
typedef VectorSingle< uint8, HostSpace > | uint8Vector_H
typedef VectorSingle< uint32 > | uint32Vector_D
typedef VectorSingle< uint32, HostSpace > | uint32Vector_H
typedef VectorSingle< uint64 > | uint64Vector_D
typedef VectorSingle< uint64, HostSpace > | uint64Vector_H
typedef VectorSingle< real > | realVector_D
typedef VectorSingle< real, HostSpace > | realVector_H
typedef VectorSingle< realx3 > | realx3Vector_D
typedef VectorSingle< realx3, HostSpace > | realx3Vector_H
typedef VectorSingle< int32x3 > | int32x3Vector_D
typedef VectorSingle< int32x3, HostSpace > | int32x3Vector_H
typedef VectorSingle< int64x3 > | int64x3Vector_D
typedef VectorSingle< int64x3, HostSpace > | int64x3Vector_H
typedef VectorSingle< uint32x3 > | uint32x3Vector_D
typedef VectorSingle< uint32x3, HostSpace > | uint32x3Vector_H
typedef VectorSingle< realx3x3 > | realx3x3Vector_D
typedef VectorSingle< realx3x3, HostSpace > | realx3x3Vector_H
typedef VectorSingle< word, HostSpace > | wordVector_H